Skip to main content
`Ctrl`+`K`

# PetscOptionsMonitorDefault

Print all options set value events using the supplied `PetscViewer`.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsMonitorDefault(const char name[], const char value[], PetscOptionSource source, void *ctx)

Logically Collective

## Input Parameters

- name - option name string

- value - option value string

- source - The source for the option

- ctx - a `PETSCVIEWERASCII` or `NULL`

## Notes

If ctx is `NULL`, `PetscPrintf()` is used. The first MPI process in the `PetscViewer` viewer actually prints the values, other processes may have different values set

If `PetscCIEnabled` then do not print the test harness options

## See Also

`PetscOptionsMonitorSet()`

## Level

intermediate

## Location

src/sys/objects/options.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages